Package org.eclipse.lemminx.extensions.contentmodel.commands

## Class SurroundWithCommand.SurroundWithResponse

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.commands.SurroundWithCommand.SurroundWithResponse

Enclosing class:
  SurroundWithCommand

    public static class SurroundWithCommand.SurroundWithResponse
    extends Object

### Constructor Summary

Constructors
`SurroundWithResponse()`
`SurroundWithResponse​(org.eclipse.lsp4j.TextEdit start, org.eclipse.lsp4j.TextEdit end)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.lsp4j.TextEdit` `getEnd()`
`org.eclipse.lsp4j.TextEdit` `getStart()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SurroundWithResponse

    public SurroundWithResponse()

#### SurroundWithResponse

    public SurroundWithResponse​(org.eclipse.lsp4j.TextEdit start,
                                org.eclipse.lsp4j.TextEdit end)

### Method Detail

#### getStart

    public org.eclipse.lsp4j.TextEdit getStart()

#### getEnd

    public org.eclipse.lsp4j.TextEdit getEnd()